From 7df6fc5b9e3b287bf17791540ce758e688a96716 Mon Sep 17 00:00:00 2001
From: "Kirill A. Korinsky" <kirill@korins.ky>
Date: Wed, 28 Sep 2022 20:49:23 +0200
Subject: [PATCH] os_perf_bsd: allow to compile with ZERO CPU

---
 hotspot/src/os/bsd/vm/os_perf_bsd.cpp | 4 ++++
 1 file changed, 4 insertions(+)

diff --git hotspot/src/os/bsd/vm/os_perf_bsd.cpp hotspot/src/os/bsd/vm/os_perf_bsd.cpp
index 9e8fa0ef119..a7a156a35c5 100644
--- hotspot/src/os/bsd/vm/os_perf_bsd.cpp
+++ hotspot/src/os/bsd/vm/os_perf_bsd.cpp
@@ -26,7 +26,9 @@
 #include "memory/resourceArea.hpp"
 #include "runtime/os.hpp"
 #include "runtime/os_perf.hpp"
+#if defined(X86) && !defined(ZERO)
 #include "vm_version_ext_x86.hpp"
+#endif
 
 #ifdef __APPLE__
   #import <libproc.h>
@@ -374,11 +376,13 @@ bool CPUInformationInterface::initialize() {
   if (NULL == _cpu_info) {
     return false;
   }
+#if defined(X86) && !defined(ZERO)
   _cpu_info->set_number_of_hardware_threads(VM_Version_Ext::number_of_threads());
   _cpu_info->set_number_of_cores(VM_Version_Ext::number_of_cores());
   _cpu_info->set_number_of_sockets(VM_Version_Ext::number_of_sockets());
   _cpu_info->set_cpu_name(VM_Version_Ext::cpu_name());
   _cpu_info->set_cpu_description(VM_Version_Ext::cpu_description());
+#endif
 
   return true;
 }
-- 
2.37.3

